Get Project Details
curl --request GET \
--url https://api.vomo.org/v1/projects/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vomo.org/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vomo.org/v1/projects/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.vomo.org/v1/projects/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.vomo.org/v1/projects/{id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"type": "project",
"id": "1",
"project_name": "Community Gathering",
"description": "Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.",
"details": "Wear comfortable shoes!",
"url": "https://app.vomo.org/opportunity/generated-slug",
"organization_id": 1,
"organization": "VOMO",
"organization_slug": "vomo",
"author_id": 1,
"owners": [
{
"id": 1,
"is_primary_owner": true,
"send_notifications": true
}
],
"address": {
"lat": "40.70387040000001",
"lng": "-74.0138541",
"country": "United States",
"locality": "BOWLING GREEN",
"timezone": "America/New_York",
"postal_code": "10004",
"country_short": "US",
"locality_short": "BOWLING GREEN",
"formatted_address": "BOWLING GREEN, NY 10004, USA",
"postal_code_short": "10004",
"administrative_area_level_1": "New York",
"administrative_area_level_1_short": "NY"
},
"anytime": false,
"anywhere": false,
"draft": false,
"created_at": "2016-03-07T07:49:41+00:00",
"updated_at": "2016-03-07T07:49:41+00:00",
"published_at": "2016-03-07T07:49:41+00:00",
"campaigns": [
{
"type": "campaign",
"id": "1",
"campaign_name": "Together",
"description": "Example description.",
"url": "http://app.vomo.org/initiative/together",
"organization": "VOMO",
"organization_id": 1,
"organization_slug": "vomo",
"author_id": "1",
"logo_url": "https://s3.amazonaws.com/awakenmycity/j2/7Z/r4-s.jpg",
"updated_at": "2016-03-07T07:49:41+00:00",
"created_at": "2016-03-07T07:49:41+00:00"
}
],
"certificates": [
{
"id": 1,
"name": "Volunteer Application",
"requirement": "Watch tutorial videos.",
"slug": "2d8614a5-31ed-4810-8da2-448f59463e43",
"expiration_in_months": 12,
"creator_id": 1,
"organization_id": 1,
"created_at": "2016-03-07T07:49:41+00:00",
"updated_at": "2016-03-07T07:49:41+00:00"
}
],
"form_completions": [
{
"type": "form_completion",
"id": "1",
"form_id": "1",
"user_id": "1",
"project_id": 1,
"participation_id": 1,
"updated_at": "2016-03-07T07:49:41+00:00",
"created_at": "2016-03-07T07:49:41+00:00",
"field_responses": [
{
"type": "form_field_response",
"id": "1",
"form_completion_id": "1",
"user_id": "1",
"field_id": "1",
"value": "S"
}
]
}
],
"next_date": {
"type": "project_date",
"id": "1",
"starts_at": "2020-01-01T12:00:00+00:00",
"ends_at": "2020-01-01T19:00:00+00:00",
"participant_count": 13
},
"images": [
"https://vomo-cdn.com/media/2019/01/01-sulmLi2Z-l.jpg"
],
"point_person": {
"name": "John Volunteer",
"phone": "5555555555",
"email": "volunteer@vomo.org"
},
"allow_guests": 1,
"age_limit": 13,
"volunteer_question": "What is your t-shirt size?",
"participant_approval_required": 1,
"background_check_required": 1,
"show_volunteer_counter": 1,
"volunteer_counter_threshold": 10,
"privacy": "PUBLIC",
"all_dates": [
{
"type": "project_date",
"id": "1",
"starts_at": "2020-01-01T12:00:00+00:00",
"ends_at": "2020-01-01T19:00:00+00:00",
"participant_count": 13
}
]
}
],
"links": {
"first": "https://api.vomo.org/v1/projects?page=4",
"last": "https://api.vomo.org/v1/projects?page=4",
"prev": "null",
"next": "https://api.vomo.org/v1/projects?page=2"
},
"meta": {
"current_page": "1",
"from": "1",
"to": "15",
"path": "https://api.vomo.org/v1/projects",
"per_page": "15",
"total": "49"
}
}{
"error": {
"code": 400,
"message": "No query results"
}
}{
"error": {
"code": 401,
"message": "Invalid API key"
}
}{
"message": "No query results for model [App\\\\Models\\\\Project]."
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}Projects
Get Project Details
Returns the full detail record for a single volunteer project, including all serving dates, associated campaigns, and images. The project must belong to your organization family; requests for projects outside your family return a 400 error.
GET
https://api.vomo.org/v1
/
projects
/
{id}
Get Project Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique VOMO identifier for the project to retrieve.
Last modified on June 5, 2026
Was this page helpful?
⌘I